/*
 * =====================================================================================
 *
 *       Filename:  debug.h
 *
 *    Description:  Header for debugging functions
 *
 *        Version:  1.0
 *        Created:  27/04/2017 13:01:31
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

#ifndef DEBUG_H
#define DEBUG_H

#include <ncurses.h>

#include "constants.h"

#if DEBUG
#define dbg_mvprintw(...) mvprintw(__VA_ARGS__)
#else
#define dbg_mvprintw(...) { }
#endif /* DEBUG */

void display_array(int base_y, int base_x, unsigned int pawn_array[board_size][board_size]);

#endif /* DEBUG_H */
